gtypist (2.9.4-1) unstable; urgency=low

  * New upstream release.
  * debian/compat: Raised compat level to 9.
  * debian/control (Standards-Version): Bumped to 3.9.5.
    (Build-Depends): Raised debhelper version accordingly.
  * debian/rules (override_dh_auto_configure): Removed hardening stuff now
    enabled by default on dh compat level 9.
  * debian/upstream-signing-key.pgp: Added.
  * debian/watch: Added pgpsigurlmangle for signature.
  * debian/patches/debian_hardening.patch: Dropped. Fixed upstream.
  * debian/patches/series: Adjusted.
  * debian/source/include-binaries: Added debian/upstream-signing-key.pgp.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 08 Feb 2014 13:47:18 +0100

gtypist (2.9.3-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 16 Jun 2013 14:16:05 +0200

gtypist (2.9.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Dropped DM-Upload-Allowed.
    (Standards-Version): Bumped to 3.9.4.
  * debian/gtypist.lintian-overrides: Drop unused override unusual-interpreter.
  * debian/rules: Enable hardening flags for build.
  * debian/patches/220581_gtypist_vim_support.patch: Updated.
  * debian/patches/695777_update_info_doc.patch: Dropped.
  * debian/patches/debian_hardening.patch: Added.
    - Fix an FTBFS enabling hardening flags.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 09 May 2013 11:49:19 +0200

gtypist (2.9.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/695777_update_info_doc.patch: Update info doc to latest
    2.9.2, now released with a DFSG-compliant license (closes: #695777).
  * debian/copyright: Document the doc/ license.

 -- David Prévot <taffit@debian.org>  Mon, 31 Dec 2012 12:44:40 -0400

gtypist (2.9.1-2) unstable; urgency=low

  * debian/control: Suggest vim-addon-manager for vim syntax highlighting.
    (Build-Depends): Add required version for autotools-dev debhelper addon.
  * debian/gtypist.install: Move addon back to /usr/share/vim/addons according
    to the VIM policy. Thanks to James McCoy for the hint.
  * debian/NEWS: Added.
  * debian/README.debian: Added section about vim syntax highlighting support.
  * debian/patches/220581_gtypist_vim_support.patch: Adjusted.
    - tools/gtypist.yaml: Fix addon locations.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 30 Nov 2011 22:41:43 +0100

gtypist (2.9.1-1) unstable; urgency=low

  * New upstream release.
  * gtypist.install: Install the gtypist filetype syntax support for vim.
  * debian/patches/fix_manual_page_issues.patch: Minor adjustment.
  * debian/patches/220581_gtypist_vim_support.patch: Added.
    - Install the gtypist filetype syntax support for vim (closes: #220581).
  * debian/patches/series: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 29 Nov 2011 23:05:12 +0100

gtypist (2.9-3) unstable; urgency=low

  * debian/gtypist.emacsen-startup: Added.
  * debian/gtypist.install: Install gtypist emacs mode.
  * debian/TODO.debian: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 19 Nov 2011 00:11:45 +0100

gtypist (2.9-2) unstable; urgency=low

  * debian/control (Build-Depends): Removed unused libncurses5-dev.
    (Recommends): Added fortune-cookie-db or typefortune won't be of help.
    (Description): Added a note about fortune-cookie-db.
  * debian/gtypist.doc-base.cs: Added.
  * debian/gtypist.doc-base.en: Ditto.
  * debian/gtypist.doc-base.es: Ditto.
  * debian/gtypist.docs: Added manuals in HTML format.
  * debian/gtypist.install: Ship tools in doc directory (closes: #325565).
  * debian/README.debian: Added notes about fortune cookies and the recently
    added tools.
  * debian/patches/fix_manual_page_issues.patch: Extended. A note in the
    manual page will inform users about the necessity of having fortune
    cookies installed.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 18 Nov 2011 17:09:15 +0100

gtypist (2.9-1) unstable; urgency=low

  * New upstream release (closes: #620811).
    - Fixes broken UTF-8 support for terminals (closes: #642489;
      LP: #281946, #501541).
    - Fixes minor punctuation error in lesson T14 (closes: #288682).

  * debian/compat: Bumped to dh compat level 7.
  * debian/control: Added Vcs-Browser and Vcs-Svn.
    (Standards-Version): Bumped to 3.9.2.
    (Build-Depends): Added libncursesw5-dev and help2man.
    (Description): Fixed description-synopsis-starts-with-article.
  * debian/copyright: Minor update.
  * debian/gtypist.info: Added.
  * debian/gtypist.lintian-overrides: Updated. Added unusual-interpreter
    for the gtypist interpreter.
  * debian/rules: Rewritten for debhelper 7.
  * debian/README.source: Dropped obsolete file.
  * debian/patches/fix_manual_page_issues.dpatch: Renamed to
    debian/patches/fix_manual_page_issues.patch and updated as quilt patch.
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.
  * debian/source/format: Added for 3.0 format.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 13 Nov 2011 23:37:41 +0100

gtypist (2.8.3-1) unstable; urgency=low

  * New upstream release 2.8.3.
    - Drop all patches (applied upstream).

  * debian/compat: Added and set to 5.
  * debian/control: Added Homepage and DM-Upload-Allowed.
    (Uploaders): Added myself.
    (Build-Depends): Increased dh version. Added dpatch.
    (Standards-Version): Bumped to 3.8.1.
    (Depends): Added ${misc:Depends}.
  * debian/copyright: Updated and completed.
  * debian/dirs: Dropped.
  * debian/menu: Renamed to debian/gtypist.menu.
    (section): Fixed to comply to current menu policy.
  * debian/gtypist.docs: Added.
  * debian/gtypist.lintian-overrides: Added.
  * debian/rules: Added dpatch environment. More cleanup.
  * debian/watch: Added.
  * debian/README.debian: Moved information from INSTALL to this file.
  * debian/README.source: Added to comply to policy 3.8.
  * debian/patches/fix_manual_page_issues.dpatch: Added.
    - Fix manpage-has-useless-whatis-entry for help2man generated manual
      pages (closes: #429578). Further fixed several issues in typefortune.1.
  * debian/patches/00list: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 26 Apr 2009 14:22:23 +0200

gtypist (2.7-5) unstable; urgency=low

  * Ensure that config.* are updated with each build.  (Closes: #342417)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  5 Feb 2006 12:04:18 -0400

gtypist (2.7-4) unstable; urgency=low

  * Build-dep on texinfo > 4.1-2 to aid building on woody.
    (Closes: #224962)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  1 Jan 2004 17:21:16 -0400

gtypist (2.7-3) unstable; urgency=low

  * Hack around automake brokenness, since we get Makefile.in from
    upstream, and it is broken there.  (Closes: #213371)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 16 Oct 2003 09:03:28 -0300

gtypist (2.7-2) unstable; urgency=low

  * Use debhelper's info install instead of upstream's. (Closes: #213371)
  * Fix broken -l and -s options for typefortune.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed,  1 Oct 2003 21:33:55 -0300

gtypist (2.7-1) unstable; urgency=low

  * New upstream. (Closes: #174741)
    - Patch applied upstream, thanks Martin Pitt <mpitt@piware.de>.
      (Closes: #176318)
  * Added to menu in Apps/Education.  (Closes: #200664)
  * Now depends on fortune so typefortune will work.
  * Added two Typefortune menu entries (for short fortunes and long 
    fortunes).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 28 Sep 2003 19:44:54 -0300

gtypist (2.6.2-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon,  2 Sep 2002 13:38:07 -0300

gtypist (2.6-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 28 Apr 2002 15:24:58 -0300

gtypist (2.5-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 20 Jan 2002 19:10:27 -0400

gtypist (2.4.1-3) unstable; urgency=low

  * Fix typo in esp.typ (which is also fixed in 2.5beta3 upstream).
    (Closes: #121972)

 -- Ben Armstrong <synrg@fountain.nslug.ns.ca>  Sat, 22 Dec 2001 18:14:03 -0400

gtypist (2.4.1-2) unstable; urgency=low

  * Fix missing build dep.  (Closes: #121379)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 27 Nov 2001 09:38:53 -0400

gtypist (2.4.1-1) unstable; urgency=low

  * New upstream.  (Closes: #116686)
  * Some updates to doc provided by upstream.
  * Brought up to current standards.
  * Thanks to Gergely Nagy <algernon@debian.org> for help with
    configure.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 22 Nov 2001 08:33:54 -0400

gtypist (2.3.2-2) unstable; urgency=low

  * Brought up to standards.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon,  2 Apr 2001 11:48:45 -0300

gtypist (2.3.2-1) unstable; urgency=low

  * New upstream release
  * Package renamed from typist to gtypist (GNU typist)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon,  4 Dec 2000 10:04:44 -0400

typist (2.3.1-1) unstable; urgency=low

  * New upstream release (Closes:#48770,#48773,#49494,#49495)
  * Thanks to Igor Tamara <ikks@bigfoot.com> and Vladimir
    Tamara <vtamara@gnu.org> for adopting this package upstream.
  * Brought dvorak notes in README.Debian up-to-date.  We use
    console-data now, not kbd.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 10 Sep 2000 22:42:26 -0300

typist (2.2b-4) unstable; urgency=low

  * Removed redundant man page. (Closes bug:#53745)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 30 Dec 1999 14:35:04 -0400

typist (2.2b-3) unstable; urgency=low

  * Changed SIGCLD to SIGCHLD so typist will build on SPARC, which has no
    SIGCLD, which is apparently just an obsolete synonym for SIGCHLD
    anyway (Closes Bug:#51634)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 21 Dec 1999 10:31:59 -0400

typist (2.2b-2) unstable; urgency=low

  * Fixed writing to /usr/bin during build. (Closes Bug:#49167)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri,  5 Nov 1999 11:01:57 -0400

typist (2.2b-1) unstable; urgency=low

  * New upstream release

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 18 Apr 1999 09:44:22 -0400

typist (1.0-2) frozen; urgency=low

  * Switch from ncurses-3.4 to libncurses4

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon,  9 Nov 1998 10:25:28 -0400

typist (1.0-1) unstable; urgency=low

  * Initial Release.
  * Dedicated to Ariannah, my wife.  I know she will enjoy honing
    her typing skills with this package.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  6 Nov 1997 21:00:55 -0400
